3

I have LTspice running under Wine, which I use infrequently (1 or 2 times a month). It has always worked well.

Today I noticed it wasn't working: when I ran it from a shell, it doesn't start up, I don't get any error message.

I've tried a clean install and a new WINEPREFIX, didn't work, and I created a new user to test, didn't work either. Other programs under Wine work.

How would I debug to find why it's not starting? I'm using wine-4.8 in Fedora 30.

EDIT: as a workaround, I downgraded to wine-4.5 and it worked. Still I'd like to understand what happened to wine-4.8 that it doesn't work.

6
  • did wine get updated since the last time you used ltspice ?
    – intika
    May 20, 2019 at 0:51
  • @intika Yes, since I upgraded from Fedora 29 to 30 it went from 4.6 (where LTspice was working, IIRC) to 4.7 and then 4.8.
    – Renan
    May 20, 2019 at 1:04
  • Can you try WINEDEBUG environment variable to get debug output in terminal.
    – Biswapriyo
    May 20, 2019 at 8:20
  • @Biswapriyo sure, with WINEDEBUG=+all: pastebin.com/JhCdj5re.
    – Renan
    May 21, 2019 at 0:50
  • I don't know about what happen in Fedora but I run that software in Arch+wine and it works fine. If you've time try to complie the latest wine git repo.
    – Biswapriyo
    May 21, 2019 at 0:54

1 Answer 1

3

The logs:

Under windows i would of recommended you to check the event logs (or tools like this or that one), But with wine it's an other story, here is a quote from this other answer

The wine run logs are hidden typically, they're not stored anywhere. To get the Wine logs for a specific executable, you need to run it via the terminal with the wine command. (Note you need the full path here, or you need to first cd into the directory where the .exe is stored.)

wine /path/to/program.exe

Wine Apps DB:

Often we find good informations about apps compatibility on their apps data base

Winedbg

Winedbg can help you out to identify the problem by debugging the application. also here is the official debugging tutorial.

Updates

A new version of wine may break old working applications by adding new features/changes on new version, it's not unusual to see that an application is perfectly compatible with wine v3 and not with wine v3.5

Alternative

If your application works only with a specific wine version you could use an additional wine installation to run that application (don't forget to separate the profile foder "~/.wine") here is a question/answer for the matter

2
  • 1
    I downgraded to wine-4.5 as a workaround and it worked. I guess I will look at PlayOnLinux as an approach to simplify this.
    – Renan
    May 21, 2019 at 0:53
  • Yes or just install wine from source this will get it installed to /usr/local then just set a different "~/.wine" to the /usr/local version
    – intika
    May 21, 2019 at 0:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.